package utils

import (
	"fmt"
	"time"
)

const defaultTimeString = "2011-11-11 11:11:11"

func CurrentTimeString() string {

	// 加载东八区时区
	loc, err := time.LoadLocation("Asia/Shanghai")
	if err != nil {
		fmt.Println("无法加载时区:", err)
		return defaultTimeString
	}

	// 获取当前时间并转换为东八区时间
	now := time.Now().In(loc)
	// 格式化为 "2006-01-02 15:04:05" 的布局
	formattedTime := now.Format(time.DateTime)
	return formattedTime
}
